### Method

# Handy Avatar draw_to_pixbuf

since: 1.2

#### Declaration [src]

    GdkPixbuf*
    hdy_avatar_draw_to_pixbuf (
      HdyAvatar* self,
      gint size,
      gint scale_factor
    )

#### Description [src]

Renders `self` into a `GdkPixbuf` at `size` and `scale_factor`.

This can be used to export the fallback avatar.

Available since: 1.2

#### Parameters

`size`

  Type: `gint`

  The size of the pixbuf.

`scale_factor`

  Type: `gint`

  The scale factor.

#### Return value

Type: `GdkPixbuf`

The pixbuf.

The caller of the method takes ownership of the data, and is responsible for freeing it.